﻿using RecrownedAthenaeum.UI.Modular.Modules.Interactive;
using System;

namespace RecrownedAthenaeum.UI.SkinSystem.Definitions
{
    /// <summary>
    /// Definition for a text button for a skin theme.
    /// </summary>
    public class TextButtonSkinDefinition : ButtonSkinDefinition
    {
        /// <summary>
        /// Name of color from the skin to use for the font.
        /// </summary>
        public string fontColor;

        /// <summary>
        /// Creates this definition with the most minimal requirements.
        /// </summary>
        /// <param name="downRegion">Texture region from skin that represents when the button is pressed down.</param>
        /// <param name="upRegion">The texture region that represents when the button is not pressed.</param>
        public TextButtonSkinDefinition(string downRegion, string upRegion) : base(downRegion, upRegion)
        {
            UIModuleType = typeof(TextButton);
        }
    }
}
